package com.ruoyi.project.system.service;

import java.util.List;
import com.ruoyi.project.system.domain.TAlarmhistory;

/**
 * 报警记录管理Service接口
 * 
 * @author ruoyi
 * @date 2021-01-11
 */
public interface ITAlarmhistoryService 
{
    /**
     * 查询报警记录管理
     * 
     * @param id 报警记录管理ID
     * @return 报警记录管理
     */
    public TAlarmhistory selectTAlarmhistoryById(Long id);

    /**
     * 首页查询报警记录管理
     *
     * @param tAlarmhistory 报警记录管理
     * @return 报警记录管理集合
     */
    public List<TAlarmhistory> selectHomeList(TAlarmhistory tAlarmhistory);

    /**
     * 查询报警记录管理列表
     * 
     * @param tAlarmhistory 报警记录管理
     * @return 报警记录管理集合
     */
    public List<TAlarmhistory> selectTAlarmhistoryList(TAlarmhistory tAlarmhistory);

    /**
     * 新增报警记录管理
     * 
     * @param tAlarmhistory 报警记录管理
     * @return 结果
     */
    public int insertTAlarmhistory(TAlarmhistory tAlarmhistory);

    /**
     * 修改报警记录管理
     * 
     * @param tAlarmhistory 报警记录管理
     * @return 结果
     */
    public int updateTAlarmhistory(TAlarmhistory tAlarmhistory);

    /**
     * 批量删除报警记录管理
     * 
     * @param ids 需要删除的报警记录管理ID
     * @return 结果
     */
    public int deleteTAlarmhistoryByIds(Long[] ids);

    /**
     * 删除报警记录管理信息
     * 
     * @param id 报警记录管理ID
     * @return 结果
     */
    public int deleteTAlarmhistoryById(Long id);
}
